@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: 'Poppins', sans-serif;
}

header {
  background-image: url('./images/marvin-meyer-SYTO3xs06fU-unsplash.jpg');
  background-size: cover;
  background-position: center;
  color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  text-align: center;
}

header h1 {
  font-size: 85px;
  font-weight: 500;
}

header h1 span {
  color: #6565FF;
}

header p {
  font-size: 20px;
  padding: 0 10rem;
}

header a.cta {
  padding: 1rem 2rem;
  background-color: #fff;
  border: 1px solid #333;
  color: #333;
  text-decoration: none;
  border-radius: 60px;
  margin-top: 5rem;
  transition: all 0.2s;
}

header a.cta:hover {
  padding: 1rem 3rem;
  background-color: #6565FF;
  color: #fff;
  cursor: pointer;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 2rem;
  position: absolute;
  top: 0;
  width: 100%;
  padding: 40px 7%;
}

nav ul {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
}

nav a {
  color: #fff;
  margin: 0 1rem;
  text-decoration: none;
  font-size: 1.2rem;
}

nav a:hover {
  color: #6565FF;
  transition: all 0.2s;
}

main {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding: 3rem 0;
}

section {
  width: 80%;
  text-align: center;
  margin: 2rem;
}

section h2 {
  font-size: 2.5rem;
  margin-bottom: 1rem;
}

section form {
  max-width: 600px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 2rem;
  margin-left: auto;
  margin-right: auto;
}

section input[type='text'],
section input[type='email'],
section textarea {
  width: 100%;
  padding: 0.5rem;
  font-size: 1.1rem;
  margin-bottom: 1rem;
  border-radius: 5px;
  border: none;
  outline: none;
  background: whitesmoke;
}

section input[type='text'],
section input[type='email'] {
  height: 50px;
}

section textarea {
  height: 200px;
}

section button[type='submit'] {
  background-color: #6565FF;
  color: #fff;
  padding: 1rem;
  border: none;
  border-radius: 40px;
  cursor: pointer;
  transition: all 0.2s;
  width: 100%;
}

section button[type='submit']:hover {
  background-color: #fff;
  color: #333;
  border: 1px solid #333;
}

footer {
  background-color: #6565FF;
  color: #fff;
  display: flex;
  justify-content: center;
  padding: 2rem 0;
  text-align: center;
}

footer p {
  font-size: 1rem;
}



#services {
  padding: 4rem 0;
  text-align: center;
  background-color: whitesmoke;
}

#services h2 {
  margin-bottom: 3rem;
}

.service {
  width: 30%;
  display: inline-block;
  padding: 0 1rem;
  text-align: center;
}

.service img {
  width: 200px;
  height: 200px;
  border-radius: 50%;
}

.service h3 {
  margin-bottom: 1rem;
}


#about {
  padding: 50px 8%;
}

#about img {
  margin-top: 40px;
  border-radius: 50px;
}

#contact {
  padding: 40px 7%;
}

#contact h2 {
  margin-bottom: 2rem;
}

@media only screen and (max-width: 600px) {
  header {
    flex-direction: column;
  }

  nav {
    flex-direction: column;
  }

  main {
    flex-direction: column;
  }

  section {
    width: 100%;
  }

  .service {
    width: 100%;
    margin: 2rem 0;
  }
}